package com.huimv.management.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.huimv.management.entity.EatTimeEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.EatTimeDao;
import com.huimv.management.entity.EatTimeEntity;
import com.huimv.management.service.EatTimeService;


@Service("eatTimeService")
public class EatTimeServiceImpl extends ServiceImpl<EatTimeDao, EatTimeEntity> implements EatTimeService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {

        LambdaQueryWrapper<EatTimeEntity> lambdaQuery = Wrappers.lambdaQuery();
        String keywords = (String) params.get("keywords");
        //没有参数
        if (keywords == null || keywords.equals("")){
            IPage<EatTimeEntity> page = this.page(
                    new Query<EatTimeEntity>().getPage(params),
                    new QueryWrapper<EatTimeEntity>()
            );
            return new PageUtils(page);
        }

        lambdaQuery.like(EatTimeEntity::getEartag,keywords);
        IPage<EatTimeEntity> page = page(this.page(
                new Query<EatTimeEntity>().getPage(params)
        ), lambdaQuery);


        return new PageUtils(page);
    }

}